%global major_version %%(cut -d "." -f 1-2 <<<%{version})
# Minimum GNOME Shell version supported
%global min_gs_version %%(cut -d "." -f 1-3 <<<%{version})

Name:		gnome-shell-extensions
Version:	3.14.3
%define	subrel 1
Release:	%mkrel 1
Summary:	Modify and extend GNOME Shell functionality and behavior
Group:		Graphical desktop/GNOME 
# The entire source code is GPLv2+ except lib/convenience.js which is BSD
License:        GPLv2+ and BSD
URL:		https://wiki.gnome.org/GnomeShell/Extensions
Source0:        https://download.gnome.org/sources/%{name}/%{major_version}/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:	intltool
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(libgtop-2.0)
# ovitters: ensure gnome-shell is available and built before this package
BuildRequires:	gnome-shell >= %{min_gs_version}
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Recommends:	%{name}-alternate-tab
Recommends:	%{name}-apps-menu
Recommends:	%{name}-auto-move-windows 
Recommends:	%{name}-drive-menu  
Recommends:	%{name}-gajim
Recommends:	%{name}-launch-new-instance
Recommends:	%{name}-native-window-placement
Recommends:	%{name}-places-menu 
Recommends:	%{name}-systemMonitor
Recommends:	%{name}-user-theme 
Recommends:	%{name}-windowsNavigator 
Recommends:	%{name}-workspace-indicator
Requires:	gnome-shell >= %{min_gs_version}
BuildArch:	noarch

# ovitters: removed as per 3.9.5
Conflicts:	%{name}-alternative-status-menu <= 3.9.4
# ovitters: removed as per 3.9.90
Conflicts:	%{name}-xrandr-indicator <= 3.9.5

%description
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell.

Enabled extensions:

  * alternate-tab
  * apps-menu
  * auto-move-windows
  * drive-menu
  * launch-new-instance
  * native-window-placement
  * places-menu
  * screenshot-window-sizer
  * systemMonitor
  * user-theme
  * window-list
  * overrides
  * windowsNavigator
  * workspace-indicator

%package common
Summary:	Files common to GNOME Shell Extensions
Group:		Graphical desktop/GNOME 
Requires:       gnome-shell >= %{min_gs_version}
# Dock extension no longer provides by GNOME Shell extensions >= 3.7.1
Obsoletes:      %{name}-dock < 3.7.1

%description common
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell. Common files and directories 
needed by extensions are provided here.

%package -n gnome-classic-session
Summary:        GNOME "classic" mode session
Group:          Graphical desktop/GNOME
Requires:       %{name}-alternate-tab = %{version}-%{release}
Requires:       %{name}-apps-menu = %{version}-%{release}
Requires:       %{name}-launch-new-instance = %{version}-%{release}
Requires:       %{name}-places-menu = %{version}-%{release}
Requires:       %{name}-window-list = %{version}-%{release}
Requires:       %{name}-overrides = %{version}-%{release}
# Obsolete fallback mode components
Obsoletes:      gnome-applets < 1:3.5.92-5
%global gnome_applet_sensors_obsolete_ver 3.0.0-6
Obsoletes:      gnome-applet-sensors < %{gnome_applet_sensors_obsolete_ver}
Obsoletes:      gnome-applet-sensors-devel < %{gnome_applet_sensors_obsolete_ver}
Obsoletes:      gnome-panel < 3.8

%description -n gnome-classic-session
This package contains the required components for the GNOME Shell "classic"
mode, which aims to provide a GNOME 2-like user interface.

%package alternate-tab
Summary:	Classic Alt+Tab behavior. Window based instead of app based
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description alternate-tab
Lets you use classic Alt+Tab (window-based instead of app-based) in
GNOME Shell.

GNOME Shell groups multiple instances of the same application together.
This extension disables grouping.  

%package apps-menu
Summary:	Gnome 2.x style menu on the panel
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description apps-menu
Lets you reach an application using gnome 2.x style menu on the panel.

%package auto-move-windows
Summary:	Assign specific workspaces to applications
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description auto-move-windows
Lets you manage your workspaces more easily, assigning a specific workspace
to each application as soon as it creates a window, in a manner configurable
with a GSettings key.

%package drive-menu
Summary:	Disk device manager in the system status area
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description drive-menu
Adds a menu in the system status area that tracks removable disk devices
attached and offers to browse them and eject/unmount them.

%package launch-new-instance
Summary:        Always launch a new application instance for GNOME Shell
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}

%description  launch-new-instance
This GNOME Shell extension modifies the behavior of clicking in the dash and app
launcher to always launch a new application instance.

%package native-window-placement
Summary:	Arrange windows in overview in a more native way
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description native-window-placement
This extension employs an algorithm (taken from KDE) for layouting the
thumbnails in the overview that more closely reflects the positions and 
relative sizes of the actual windows, instead of using a fixed grid.

%package places-menu
Summary:	Places menu indicator in the system status area
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description places-menu
Adds a menu in the system status area that resembles the Places menu from
GNOME 2.x

%package screenshot-window-sizer
Summary: Screenshot window sizer for GNOME Shell
Group: Graphical desktop/GNOME
License: GPLv2+
Requires: %{name}-common = %{version}-%{release}

%description screenshot-window-sizer
This GNOME Shell extension allows to easily resize windows for GNOME Software
screenshots.

%package systemMonitor
Summary:	Monitor your system status
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description systemMonitor
Monitor your system status.

%package user-theme
Summary:	Lets the user select a custom theme for the shell
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description user-theme
Lets the user select a custom theme for the Gnome shell. It will allow you to 
apply a style from /.themes/[themeName]/gnome-shell/gnome-shell.css

%package window-list
Summary:        Display a window list at the bottom of the screen in GNOME Shell
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}

%description window-list
This GNOME Shell extension displays a window list at the bottom of the screen.

%package overrides
Summary:        Classic-mode schema overides in GNOME Shell
Group:          Graphical desktop/GNOME
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:	%{name}-static-workspaces
Obsoletes:	%{name}-default-min-max

%description overrides
This GNOME Shell extension disables overrides workspace management.

%package windowsNavigator
Summary:	Keyboard selection of windows and work-spaces in overlay mode
Group:		Graphical desktop/GNOME 
Requires:	%{name}-common = %{version}-%{release}

%description windowsNavigator
Allow keyboard selection of windows and work-spaces in overlay mode in 
GNOME Shell.

Switch to overview mode (press the windows or alt+f1 key) and 
press the alt key to show numbers over windows.  Press any number to switch
to the corresponding window.

%package workspace-indicator
Summary:	A menu for changing workspace
Group:		Graphical desktop/GNOME
Requires:	%{name}-common = %{version}-%{release}

%description workspace-indicator
A menu for changing workspace.

%prep
%setup -q

%build
# In case we build from a Git checkout
[ -x autogen.sh ] && NOCONFIGURE=1 ./autogen.sh 
%configure2_5x  \
	--disable-schemas-compile \
	--enable-extensions="all"
%make

%install
%makeinstall_std

# Drop useless example extension
rm -r %{buildroot}%{_datadir}/gnome-shell/extensions/example*
rm %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.example.gschema.xml

# helper script
mkdir -p %buildroot%{_bindir}
cat << EOF >%{buildroot}%{_bindir}/startgnome_classic
#!/bin/sh
GNOME_SHELL_SESSION_MODE=classic
export GNOME_SHELL_SESSION_MODE
exec gnome-session --session gnome-classic
EOF
chmod 755 %{buildroot}%{_bindir}/startgnome_classic

# kill upstream xsession file.
# If we leave this it overrides our one, preventing the run of /etc/X11/Xsession
# and thus the processing of /etc/X11/xinit.d/ files.
# See: https://bugs.mageia.org/show_bug.cgi?id=11582
rm -rf %{buildroot}%{_datadir}/xsessions

# wmsession session file
# (doktor5000) "DESKTOPNAMES=GNOME" is required when starting a gnome session from SDDM
# this will be used as $XDG_CURRENT_DESKTOP and is necessary for the start of many services
# SDDM will set this to an empty string if not present, and gnome-session fails to correct this
# resulting in gnome not starting up - cf. https://bugs.mageia.org/show_bug.cgi?id=17359
# needs to be uppercase as otherwise chksession ignores it
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/03GNOME_CLASSIC
NAME=GNOME Classic
ICON=gnome-logo-icon-transparent.png
DESC=GNOME 3 Classic Mode
EXEC=%{_bindir}/startgnome_classic
DESKTOPNAMES=GNOME-Classic;GNOME
SCRIPT:
exec %{_bindir}/startgnome_classic
EOF

%find_lang %{name}

%post
%{make_session}

%files common -f %{name}.lang
%doc README
%dir %{_datadir}/gnome-shell/extensions/

%files -n gnome-classic-session
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_bindir}/startgnome_classic
%{_datadir}/applications/gnome-shell-classic.desktop
%{_datadir}/gnome-session/sessions/gnome-classic.session
%{_datadir}/gnome-shell/modes/classic.json
%{_datadir}/gnome-shell/theme/*.svg
%{_datadir}/gnome-shell/theme/gnome-classic.css

%files alternate-tab
%{_datadir}/gnome-shell/extensions/alternate-tab*

%files apps-menu
%{_datadir}/gnome-shell/extensions/apps-menu*

%files auto-move-windows
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.auto-move-windows.gschema.xml
%{_datadir}/gnome-shell/extensions/auto-move-windows*

%files drive-menu
%{_datadir}/gnome-shell/extensions/drive-menu*

%files launch-new-instance
%{_datadir}/gnome-shell/extensions/launch-new-instance*

%files native-window-placement
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.native-window-placement.gschema.xml
%{_datadir}/gnome-shell/extensions/native-window-placement*

%files places-menu
%{_datadir}/gnome-shell/extensions/places-menu*

%files screenshot-window-sizer
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.screenshot-window-sizer.gschema.xml
%{_datadir}/gnome-shell/extensions/screenshot-window-sizer*/

%files systemMonitor
%{_datadir}/gnome-shell/extensions/systemMonitor*

%files user-theme
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.xml
%{_datadir}/gnome-shell/extensions/user-theme*

%files window-list
%{_datadir}/gnome-shell/extensions/window-list*
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.window-list.gschema.xml

%files overrides
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.classic-overrides.gschema.xml

%files windowsNavigator
%{_datadir}/gnome-shell/extensions/windowsNavigator*

%files workspace-indicator
%{_datadir}/gnome-shell/extensions/workspace-indicator*


%changelog
* Fri Dec 18 2015 doktor5000 <doktor5000> 3.14.3-1.1.mga5
+ Revision: 911787
- add DESKTOPNAMES=GNOME to window manager session file
  o fixes gnome classic session not starting from SDDM (mga#17359)

* Mon Dec 22 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 804815
- new version 3.14.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796743
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 738867
- Second Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - new version 3.14.1

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731088
- fix group
- recommends launch-new-instance too
- sort
- fix file list
- s/uggests:/Recommends:/

  + ovitters <ovitters>
    - new version 3.14.0
    - new version 3.13.92
    - add gobject-introspection BR for typelib auto BR

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671498
- new version 3.13.91

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665966
- new version 3.13.90

* Thu Jul 24 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 656376
- new version 3.13.4

* Sat Jun 28 2014 tv <tv> 3.13.3-1.mga5
+ Revision: 640530
- new release

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608583
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605936
- new version 3.11.92
- ensure gnome-shell is built and available before this package

* Thu Mar 06 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600331
- new version 3.11.91

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 595013
- new version 3.11.90

* Thu Feb 13 2014 ovitters <ovitters> 3.11.5-2.mga5
+ Revision: 590916
- sync upstream classic start command and custom one

* Thu Feb 06 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 584164
- new version 3.11.5

* Wed Jan 22 2014 colin <colin> 3.10.1-4.mga4
+ Revision: 567452
- Use buildroot RPM macro in favour of env var
- Kill upstream xsession file which overrides our own mga#11582

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550168
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545294
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501043
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485234
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480828
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474648
- new version 3.9.91

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-2.mga4
+ Revision: 469440
- fix description

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469431
- remove xrandr-indicator, removed upstream due to Wayland support
- new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461213
- remove alternative-status-menu subpackage as removed upstream
- new version 3.9.5

* Mon Jul 29 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 460173
- new version 3.9.4

* Sat Jun 22 2013 tv <tv> 3.8.3.1-2.mga4
+ Revision: 445667
- add wmsession file

* Mon Jun 17 2013 ovitters <ovitters> 3.8.3.1-1.mga4
+ Revision: 444176
- new version 3.8.3.1

* Sat Jun 08 2013 dams <dams> 3.8.3-2.mga4
+ Revision: 440737
- Fix obsoletes for deprecated subpackages

* Sat Jun 08 2013 dams <dams> 3.8.3-1.mga4
+ Revision: 440726
- fix specfile for subpackages

  + ovitters <ovitters>
    - new version 3.8.3

* Tue May 28 2013 tv <tv> 3.8.2-2.mga4
+ Revision: 429337
- fix obsoleting cauldron's gnome-panem

* Mon May 27 2013 tv <tv> 3.8.2-1.mga4
+ Revision: 428899
- fix build w/o gnome-common
- new release (sync with FC)

* Thu Jan 17 2013 pterjan <pterjan> 3.3.2-1.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Wed Dec 07 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 178538
- new version 3.3.2
- use git archive since upstream hasn't released source tarball

* Mon Oct 03 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 151361
- new version 3.2.0

* Mon Sep 12 2011 wally <wally> 3.1.91-0.1.mga2
+ Revision: 142762
- new version 3.1.91
- get source tarball from upstream git as there's no official release yet
- new version 3.1.4
- enable all extensions
- clean .spec from unneeded stuff

* Wed Jul 13 2011 wally <wally> 3.1.3-2.mga2
+ Revision: 123862
- fix typo in Group (mga#2141)

* Wed Jul 06 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 119516
- new version 3.1.3
- enable xrand-indicator extension
- clean .spec a bit

* Fri Jun 24 2011 mikala <mikala> 3.0.2-1.mga2
+ Revision: 112962
- Add extensions as suggests
- move the require for gnome-shell on -common package
- imported package gnome-shell-extensions


* Sat May 28 2011 Timur Kristóf <venemo@fedoraproject.org> - 3.0.2-1.g63dd27cgit
- Update to a newer git snapshot
- Fix RHBZ bug #708230
- Enabled systemMonitor extension, but commented out since the requirements are not available

* Fri May 13 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0.1-3.03660fgit
- Update to a newer git snapshot
- Enable native-window-placement extension

* Fri May 06 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.1-2b20cbagit
- Fix description 

* Thu May 5 2011 Elad Alfassa <elad@fedoraproject.org> - 3.0.1-1.b20cbagit
- Update to a newer git snapshot
- Enabled the places-menu extension

* Tue Apr 26 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0.1-1.f016b9git
- Update to a newer git snapshot (post-3.0.1 release)
- Enable drive-menu extension

* Mon Apr 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0.0-5.6d56cfgit
- Enable auto-move-windows extension

* Sun Apr 11 2011 Rahul Sundaram <sundaram@fedoraproject.org>  - 3.0.0-4.6d56cfgit
- Add glib2-devel as build requires

* Sun Apr 11 2011 Rahul Sundaram <sundaram@fedoraproject.org>  - 3.0.0-3.6d56cfgit
- Tweak description
- Fix typo in configure

* Sun Apr 11 2011 Rahul Sundaram <sundaram@fedoraproject.org>  - 3.0.0-2.6d56cfgit
- Added the user-theme extension
- Patch from Timur Kristóf <venemo@msn.com>

* Fri Apr 08 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.0-1.6d56cfgit
- Make sure configure doesn't get called twice

* Fri Apr 08 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 3.0.0-0.6d56cfgit
- Initial build
